Toggle Favorite
curl --request POST \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}/favoriteimport requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}/favorite"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/saved-searches/{id}/favorite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Saved Searches
Toggle Favorite
Toggle favorite status for a saved search
POST
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
saved-searches
/
{id}
/
favorite
Toggle Favorite
Toggles the favorite status of a saved search for the current user. If the search is already favorited, it will be unfavorited, and vice versa.
When unfavoriting:
Path Parameters
Organization ID
Project ID
Saved search ID
Response
{
"data": {
"id": "ss123",
"favorited": true
}
}
{
"data": {
"id": "ss123",
"favorited": false
}
}
Error Responses
Saved Search Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Saved search not found"
}
}
Code Examples
curl -X POST "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123/favorite" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123/favorite',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const { data } = await response.json();
console.log(`Saved search ${data.id} is ${data.favorited ? 'now' : 'no longer'} a favorite`);
var request = URLRequest(url: URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123/favorite")!)
request.httpMethod = "POST"
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
let result = try JSONDecoder().decode(FavoriteResponse.self, from: data)
print("Favorited: \(result.favorited)")
val response = client.post("https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/saved-searches/ss123/favorite") {
header("Authorization", "Bearer YOUR_JWT")
}
val result = response.body<FavoriteResponse>()
println("Favorited: ${result.favorited}")
⌘I